"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Logger_1 = require("./Logger");
const LOGGER_CACHE = {};
exports.default = {
    getLogger(clz) {
        if (!clz) {
            clz = '';
        }
        else {
            clz = clz.displayName || clz.name || clz;
        }
        return LOGGER_CACHE[clz] || (LOGGER_CACHE[clz] = Logger_1.makeLogger(clz));
    },
};
//# sourceMappingURL=LoggerFactory.js.map