"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const javaUtil_1 = require("./java/javaUtil");
const beanUtils_1 = require("./java/beanUtils");
class CodegenParameter {
    constructor() {
        this.vendorExtensions = javaUtil_1.newHashMap();
        this.isEnum = false;
    }
    toString() {
        return `${this.baseName}(${this.dataType})`;
    }
    copy() {
        return beanUtils_1.apply(new CodegenParameter(), this);
    }
}
exports.default = CodegenParameter;
//# sourceMappingURL=CodegenParameter.js.map