"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Rule_1 = __importDefault(require("./Rule"));
/**
 * An ignore rule which matches everything.
 */
class EverythingRule extends Rule_1.default {
    constructor(syntax, definition) {
        super(syntax, definition);
    }
    matches(relativePath) {
        return true;
    }
    getExcludeOperation() {
        return Rule_1.default.Operation.EXCLUDE_AND_TERMINATE;
    }
}
exports.EverythingRule = EverythingRule;
//# sourceMappingURL=EverythingRule.js.map